
WindCapacityFactor <- function(wind, IEC_class = c("I", "I/II", "II", "II/III", "III")) {
	IEC_class <-  match.arg(IEC_class)
	pc_files <- c(
		"I" 	 = "Enercon_E70_2.3MW.txt", 
		"I/II"	 = "Gamesa_G80_2.0MW.txt", 
		"II"	 = "Gamesa_G87_2.0MW.txt", 
		"II/III" = "Vestas_V100_2.0MW.txt", 
		"III"	 = "Vestas_V110_2.0MW.txt"
	)
	pc_file <- system.file("power_curves", pc_files[IEC_class], package="CSIndicators", mustWork=T)
	pc <- read_pc(pc_file)
	cf <- wind2CF(wind, pc)
	return(cf)
}
